//*******************************
//
//
// Martinho da Gloria
// Automatication
// 
//
// SelectionToPDFMenuItemLoader
// Version: 1.0b1
//
//
//*******************************
#targetengine "SelectionToPDF"

if (typeof(SelectionToPDFMenuItem) == "undefined") 
{
	function SelectionToPDFMenuItemLoader() 
	{
	}

    //*******************************
	
	SelectionToPDFMenuItemLoader.GetScriptsFolderPath = function() 
	{
		var err;
		try 
		{
			var script = app.activeScript;
		} 
	    catch(err) 
	    {
			var script = File(err.fileName);
		}
		return script.path + '/../';	
	} 

    //*******************************
	
     SelectionToPDFMenuItemLoader.LoadScript = function(in_filename) 
	 {
		var	script = null;
		var file = File(SelectionToPDFMenuItemLoader.GetScriptsFolderPath() + in_filename);
		do
		{
			if (! file.exists)
			{
				break;
			}
			if (! file.open())
			{
				break;
			}
			script = file.read();
			file.close();
		}
		while (false);
		
		
		return script;
	 }

	//*******************************
	
	SelectionToPDFMenuItemLoader.script = SelectionToPDFMenuItemLoader.LoadScript('SelectionToPDFMenuItem.jsxbin');
	if(SelectionToPDFMenuItemLoader.script != null) 
	{
		eval(SelectionToPDFMenuItemLoader.script);
	}
}
